/*
 * engine.h
 */


#ifndef _ENGINE_H_
#define _ENGINE_H_


#define GTP_BUFSIZE		200
#define MAX_ENGINE_ARGS		40


void engineStart(char *enginePath, char *engineArgs);
void engineStop(void);
int engineGetProtocolVersion(void);
void engineSetBoardsize(int boardSize);
void engineClearBoard(void);
void engineSetHandicap(int handicap);
void engineSetKomi(float komi);
void engineSendMove(Color color, Cmd cmd);
void engineRequestMove(Color color);
Cmd engineCheckForMove(void);


#endif /* _ENGINE_H_ */
